OpenUSB Developers Guide
Prev |  | Next

# `openusb_get_devid`

## Name

`openusb_get_devid` -- Extract device ID from a device handle

## Synopsis

``int32_t openusb_get_devid`(openusb_dev_handle_t dev, openusb_devid_t * devid);`

## Parameters

`dev` - Device handle.

`devid` - Address stored the returned devid value.

## Description

`openusb_get_devid()` gets the device ID of which the device handle is dev.

## Return Value

`openusb_get_devid()` returns 0 on success. Otherwise, a openusb error is returned.

OPENUSB_SUCCESS - No errors.

OPENUSB_UNKNOWN_DEVICE - Device handle `dev` is not valid

OPENUSB_BADARG - `Devid` address is not valid

## See Also

Prev | Home | Next
`openusb_open_device,openusb_close_device` | Up | `openusb_get_lib_handle`